Get a Recording

In order to retrieve a recording metadata, you can use the following endpoint.

Get recording

get

Get recording

Authorizations
HTTPRequired

Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')

Path parameters
workspaceIdstringRequired
recordingIdstringRequired
Responses
chevron-right
200

The recording metadata

application/json
idstring · uuidRequired

The ID for the recording.

sourcestring · enumRequiredPossible values:
sourceIdstring · uuidRequired

The ID for the source.

channelIdstring · uuidOptional

The ID for the channel.

statusstring · enumRequiredPossible values:
directionstring · enumOptionalPossible values:
originstring · enumRequiredPossible values:
durationinteger · int64Optional
stereobooleanRequired
formatstringRequired
transcriptionbooleanRequired
conferenceIdstring · uuidOptional

The ID for the conference.

urlstringOptional
roomInfoUrlstringOptional
createdAtstring · date-timeRequired
updatedAtstring · date-timeRequired
endedAtstring · date-timeOptional
startedAtstring · date-timeOptional
get
/workspaces/{workspaceId}/recordings/{recordingId}
curl "/workspaces/{workspaceId}/recordings/{recordingId}" \
     -H 'Authorization: AccessKey YOUR_SECRET_TOKEN'

In order to directly retrieve the recording media, you must add the extension .mp3 to the above request.

If successful, the above request will return a "307 Temporary Redirect” with the recording file.

Last updated

Was this helpful?